### Method

# GUPnPAV CDSLastChangeParser parse

#### Declaration [src]

    GList*
    gupnp_cds_last_change_parser_parse (
      GUPnPCDSLastChangeParser* parser,
      const char* last_change,
      GError** error
    )

#### Description [src]

Parse a LastChange XML document in the flavor defined by the ContentDirectory:3 specification.

#### Parameters

`last_change`

  Type: `const char*`

  XML string to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GUPnPCDSLastChangeEntry*`

List of `GUPnPCDSLastChangeEntry`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.